[Gmod-ajax] JBrowse SetUp Error

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

[Gmod-ajax] JBrowse SetUp Error

Krzyzanowski, Michelle

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

setup.log (168K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Scott Cain
Hi Michelle,

Take a look at this:


The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

Scott


On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" value="+19194855648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Scott Cain
Hi Michelle,

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

Scott


On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" value="+12163923087" target="_blank">216-392-3087
Ontario Institute for Cancer Research




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Krzyzanowski, Michelle

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

JBrowse.png (92K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Colin
What was your prepare-refseqs command?

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

-Colin

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" value="+12163923087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Scott Cain
In reply to this post by Krzyzanowski, Michelle
Hi Michelle,

It looks like you're trying to look at the "volvox" sample data set, but you didn't tell us the URL you're trying to look at, so we can't tell for sure.  Did you open the browser's javascript console to see if there are any useful messages in it?

Scott


On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" value="+12163923087" target="_blank">216-392-3087
Ontario Institute for Cancer Research




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Krzyzanowski, Michelle
In reply to this post by Colin

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Scott Cain
Hi Michelle,

The prepare-refseqs.pl script only gets the fasta sequence ready to display individual residues in JBrowse.  To get feature tracks, you need to use a source of features, like a GFF file.  If you're following the quick start tutorial, you'll see a command like this:

bin/biodb-to-json.pl --conf docs/tutorial/conf_files/volvox.json

that configuration file has the information in it for finding the volvox GFF file and what data are in it.

Scott


On Mon, Jun 5, 2017 at 10:19 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" value="+19194855648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Colin
Normally running the prepare-refseqs.pl would at least create a "Reference sequence" track on the sidebar, so it is weird that your browser at http://54.226.19.179/jbrowse/JBrowse-1.12.3/ doesn't contain a reference sequence track.

Did the setup.sh ever complete without errors? Wondering if maybe the Perl pre-requisites step still didn't finish


-Colin

On Mon, Jun 5, 2017 at 10:33 AM, Scott Cain <[hidden email]> wrote:
Hi Michelle,

The prepare-refseqs.pl script only gets the fasta sequence ready to display individual residues in JBrowse.  To get feature tracks, you need to use a source of features, like a GFF file.  If you're following the quick start tutorial, you'll see a command like this:

bin/biodb-to-json.pl --conf docs/tutorial/conf_files/volvox.json

that configuration file has the information in it for finding the volvox GFF file and what data are in it.

Scott


On Mon, Jun 5, 2017 at 10:19 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" value="+19194855648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" value="+12163923087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Krzyzanowski, Michelle

I am seeing a side menu now, but is there another step I need to take in order to see sequence data?

 

The setup did run without any errors.

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=EST&highlight=

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:59 AM
To: Scott Cain <[hidden email]>
Cc: Krzyzanowski, Michelle <[hidden email]>; [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Normally running the prepare-refseqs.pl would at least create a "Reference sequence" track on the sidebar, so it is weird that your browser at http://54.226.19.179/jbrowse/JBrowse-1.12.3/ doesn't contain a reference sequence track.

 

Did the setup.sh ever complete without errors? Wondering if maybe the Perl pre-requisites step still didn't finish

 

 

-Colin

 

On Mon, Jun 5, 2017 at 10:33 AM, Scott Cain <[hidden email]> wrote:

Hi Michelle,

 

The prepare-refseqs.pl script only gets the fasta sequence ready to display individual residues in JBrowse.  To get feature tracks, you need to use a source of features, like a GFF file.  If you're following the quick start tutorial, you'll see a command like this:

 

bin/biodb-to-json.pl --conf docs/tutorial/conf_files/volvox.json

 

that configuration file has the information in it for finding the volvox GFF file and what data are in it.

Scott

 

 

On Mon, Jun 5, 2017 at 10:19 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Krzyzanowski, Michelle
In reply to this post by Colin

I apologize.  I am looking at this link:

 

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:59 AM
To: Scott Cain <[hidden email]>
Cc: Krzyzanowski, Michelle <[hidden email]>; [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Normally running the prepare-refseqs.pl would at least create a "Reference sequence" track on the sidebar, so it is weird that your browser at http://54.226.19.179/jbrowse/JBrowse-1.12.3/ doesn't contain a reference sequence track.

 

Did the setup.sh ever complete without errors? Wondering if maybe the Perl pre-requisites step still didn't finish

 

 

-Colin

 

On Mon, Jun 5, 2017 at 10:33 AM, Scott Cain <[hidden email]> wrote:

Hi Michelle,

 

The prepare-refseqs.pl script only gets the fasta sequence ready to display individual residues in JBrowse.  To get feature tracks, you need to use a source of features, like a GFF file.  If you're following the quick start tutorial, you'll see a command like this:

 

bin/biodb-to-json.pl --conf docs/tutorial/conf_files/volvox.json

 

that configuration file has the information in it for finding the volvox GFF file and what data are in it.

Scott

 

 

On Mon, Jun 5, 2017 at 10:19 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Krzyzanowski, Michelle
In reply to this post by Colin

I apologize.  I am looking at this link:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?data=sample_data%2Fjson%2Fvolvox&loc=ctgA%3A20003..30003&tracks=DNA&highlight=

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:59 AM
To: Scott Cain <[hidden email]>
Cc: Krzyzanowski, Michelle <[hidden email]>; [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Normally running the prepare-refseqs.pl would at least create a "Reference sequence" track on the sidebar, so it is weird that your browser at http://54.226.19.179/jbrowse/JBrowse-1.12.3/ doesn't contain a reference sequence track.

 

Did the setup.sh ever complete without errors? Wondering if maybe the Perl pre-requisites step still didn't finish

 

 

-Colin

 

On Mon, Jun 5, 2017 at 10:33 AM, Scott Cain <[hidden email]> wrote:

Hi Michelle,

 

The prepare-refseqs.pl script only gets the fasta sequence ready to display individual residues in JBrowse.  To get feature tracks, you need to use a source of features, like a GFF file.  If you're following the quick start tutorial, you'll see a command like this:

 

bin/biodb-to-json.pl --conf docs/tutorial/conf_files/volvox.json

 

that configuration file has the information in it for finding the volvox GFF file and what data are in it.

Scott

 

 

On Mon, Jun 5, 2017 at 10:19 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: JBrowse SetUp Error

Scott Cain
Hi Michelle,

I assume you're seeing the same thing I am, which is that every track has a pink box with a 404 not found message.  If you look in the apache error log, you'll find the exact path that JBrowse is looking in for the files that it needs.  Normally, the files in the sample_data directory are where they are "supposed" to be automatically (which is to say, they are there when the JBrowse zip file is unpacked).  The question is, where are those files now?

Scott


On Tue, Jun 6, 2017 at 10:07 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

I apologize.  I am looking at this link:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?data=sample_data%2Fjson%2Fvolvox&loc=ctgA%3A20003..30003&tracks=DNA&highlight=

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" value="+19194855648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:59 AM
To: Scott Cain <[hidden email]>
Cc: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Normally running the prepare-refseqs.pl would at least create a "Reference sequence" track on the sidebar, so it is weird that your browser at http://54.226.19.179/jbrowse/JBrowse-1.12.3/ doesn't contain a reference sequence track.

 

Did the setup.sh ever complete without errors? Wondering if maybe the Perl pre-requisites step still didn't finish

 

 

-Colin

 

On Mon, Jun 5, 2017 at 10:33 AM, Scott Cain <[hidden email]> wrote:

Hi Michelle,

 

The prepare-refseqs.pl script only gets the fasta sequence ready to display individual residues in JBrowse.  To get feature tracks, you need to use a source of features, like a GFF file.  If you're following the quick start tutorial, you'll see a command like this:

 

bin/biodb-to-json.pl --conf docs/tutorial/conf_files/volvox.json

 

that configuration file has the information in it for finding the volvox GFF file and what data are in it.

Scott

 

 

On Mon, Jun 5, 2017 at 10:19 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Here is the url:

 

http://54.226.19.179/jbrowse/JBrowse-1.12.3/index.html?loc=ctgA%3A20003..30003&tracks=&highlight=

 

I was simply using the Volvox test data, so my command was:

 

bin/prepare-refseqs.pl --fasta docs/tutorial/data_files/volvox.fa

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 

From: Colin [mailto:[hidden email]]
Sent: Monday, June 05, 2017 10:04 AM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: Scott Cain <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

What was your prepare-refseqs command?

 

It is not normally necessary to move refSeqs.json files around or other things like the github issue that you linked there.

 

You can maybe look at http://gmod.org/wiki/JBrowse_FAQ#How_do_I_load_my_genome_as_a_FASTA_file.3F for the "simple overview" of loading the genome

 

-Colin

 

On Mon, Jun 5, 2017 at 8:12 AM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

Thank you for that line of code.  It seemed to help.

 

However, I do not see any data.  I attached the screenshot of what JBrowse looks like.  I tried doing this:

 

https://github.com/GMOD/jbrowse/issues/549

 

However, it didn’t fix it.

 

Michelle Krzyzanowski

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 5:18 PM
To: Krzyzanowski, Michelle <[hidden email]>; [hidden email]


Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Please keep the jbrowse mailing cc'ed so other people can chime in with suggests and the discussion can be archived.

 

The OS matters because different flavors of Linux have different package management systems, of which apt is only one.

 

I suspect it failed because the CPAN system (which installs perl modules) is caching the result from before without checking that there is new stuff that it needs to take into account.  Rather that trying to walk you through cleaning that up, I'd suggest that you install some other packages with apt.  This will install the perl module that the installer is currently tripping one and some others as well.  Do this:

 

  sudo apt-get install libhash-merge-perl libjson-xs-perl libjson-perl liblist-moreutils-perl libperlio-gzip-perl libparse-recdescent-perl liblocal-lib-perl libdb-file-perl libxml-parser-perl libbio-perl-perl

 

(that's all one really long line.)  If it asks you to install other stuff, answer yes.  When that is done running, try the jbrowse setup script again.

 

Scott

 

 

On Fri, Jun 2, 2017 at 3:27 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

Hi Scott,

 

I’m not sure why OS matters since this is on the webserver, not local (unless I’m misunderstanding how to install JBrowse).

 

I conducted the sudo install and it ran, and suggested I also install db5.3-doc, which I also did.  Reran setup.sh and still have the failure.

 

Thank you.

 

Michelle

 

From: Scott Cain [mailto:[hidden email]]
Sent: Friday, June 02, 2017 3:14 PM
To: Krzyzanowski, Michelle <[hidden email]>
Cc: [hidden email]
Subject: Re: [Gmod-ajax] JBrowse SetUp Error

 

Hi Michelle,

 

Take a look at this:

 

 

The most immediate problem I think is that you need libexpat (of course, there may be others after you fix this).  You didn't mention what OS you're using--hopefully it's one that uses apt-get.

 

Scott

 

 

On Fri, Jun 2, 2017 at 12:53 PM, Krzyzanowski, Michelle <[hidden email]> wrote:

The Perl prerequisites step is failing, but every other step works.  I have attached the setup.log file.

 

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

Installing javascript dependencies ...Detected precompiled version.

done

Gathering system information ...done

Installing Perl prerequisites ... failed.  See setup.log file for error messages. As a first troubleshooting step, make sure development libraries and header files for GD, Zlib, and libpng are installed and try again.

 

Formatting Volvox example data ... done.

To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

 

Formatting Yeast example data ... done.

To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Legacy scripts wig-to-json.pl and bam-to-json.pl have removed from setup. Their functionality has been superseded by add-bam-track.pl and add-bw-track.pl. If you require the old versions, run 'setup.sh legacy'.

 

Michelle Krzyzanowski

Research Computing Division

RTI International

[hidden email]

<a href="tel:(919)%20485-5648" target="_blank">919-485-5648

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research

 




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax